Skip to main content

Update Lease: ResMan

PUThttps://api.propexo.com/v1/leases/resman/:lease_id
InterfaceMethod
Lease Application/MITS/PostLeaseApplication3_0

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters​

lease_id stringrequired

The Propexo unique identifier for the lease

Request​

This endpoint expects an object.

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    application_datestringrequired

    The application date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestringrequired

    The start date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestringrequired

    The end date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstringrequired

    The status associated with the applicant

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    date_of_birthstring

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    rent_amount_market_in_centsinteger

    The market rent amount in cents for the lease

    move_in_datestring

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    lease_idstringrequired

    The Propexo unique identifier for the lease

    applicant_idstringrequired

    The Propexo unique identifier for the applicant

    application_datestringrequired

    The application date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    start_datestringrequired

    The start date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    end_datestringrequired

    The end date associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    statusstringrequired

    The status associated with the applicant

    Show 5 enum values
    PENDINGAPPROVEDCANCELEDDENIEDSIGNED
    first_namestring

    The first name associated with the applicant

    last_namestring

    The last name associated with the applicant

    date_of_birthstring

    The date of birth associated with the applicant

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$
    address_1string

    The first address line associated with the applicant

    citystring

    The city associated with the applicant

    statestring

    The state associated with the applicant

    zipstring

    The zip code associated with the applicant

    phone_1string

    Primary phone number associated with the applicant

    phone_1_typestring

    Type of the primary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    phone_2string

    Secondary phone number associated with the applicant

    phone_2_typestring

    Type of the secondary phone number

    Show 3 enum values
    HOMEMOBILEWORK
    rent_amount_market_in_centsinteger

    The market rent amount in cents for the lease

    move_in_datestring

    The move-in date associated with the lease

    Show 2 variants
    • string<date-time>
    • stringPattern: ^\d{4}-\d{2}-\d{2}$

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
PUT /v1/leases/resman/:lease_id
curl -X PUT https://api.propexo.com/v1/leases/resman/:lease_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"applicant_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"lease_id": "string",
"applicant_id": "string",
"application_date": "2024-07-29T15:51:28.071Z",
"start_date": "2024-07-29T15:51:28.071Z",
"end_date": "2024-07-29T15:51:28.071Z",
"status": "PENDING",
"first_name": "string",
"last_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"phone_1": "string",
"phone_1_type": "HOME",
"phone_2": "string",
"phone_2_type": "HOME",
"rent_amount_market_in_cents": 0,
"move_in_date": "2024-07-29T15:51:28.071Z"
}
}